<template name="participantContact">
	{{#if showParticipantContact}}
		<div class="d-inline-block">
			{{#if Template.subscriptionsReady}}
				{{#if userAcceptsPrivateMessages}}
					<button class="btn btn-link p-0 js-show-participant-contact-modal"
							type="button">
						<i class="fa-solid fa-envelope fa-fw"></i>
					</button>
				{{else}}
					<button class="btn btn-link p-0 disabled" type="button" disabled>
						<i class="fa-solid fa-envelope fa-fw"
						   title="{{i18n 'user.acceptsPrivateMessages.false' 'User does not accept private messages from users' attr=true}}"></i>
					</button>
				{{/if}}
			{{/if}}
		</div>
		{{#if state 'showModal'}}
			<div class="modal js-participant-contact-modal" tabindex="-1" role="dialog">
				<div class="modal-dialog modal-sm" role="document">
					<div class="modal-content">
						<div class="modal-header">
							<h4 class="modal-title">
								<span class="fa-solid fa-paper-plane fa-fw"
									  aria-hidden="true"></span>
								{{i18n 'participantContactModal.writeMessageTo' 'Write a message to {USER}' USER=(username participant)}}
							</h4>
							<button type="button" class="btn-close" data-bs-dismiss="modal"
									aria-label="Close"></button>
						</div>
						<div class="modal-body">
							{{> sendMessage sendMessageAttr}}
						</div>
					</div>
				</div>
			</div>
		{{/if}}
	{{/if}}
</template>
